## binutils 2.44

=== debian/changelog ===
binutils (2.44-3ubuntu1.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Heap based buffer overflow
    - debian/patches/CVE-2025-11082.patch: avoid reads of beyond
      .eh_frame section in bfd/elf-eh-frame.c.
    - CVE-2025-11082
  * SECURITY UPDATE: Heap based buffer overflow
    - debian/patches/CVE-2025-11083.patch: fix in bfd/elfcode.h.
    - CVE-2025-11083
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2025-1147.patch: fix treating an ifunc symbol
      as a stab in binutils/nm.c, binutils/testsuite/binutils-all/nm.exp.
    - CVE-2025-1147
  * SECURITY UPDATE: Memory leak
    - debian/patches/CVE-2025-1148.patch: replace xmalloc with stat_alloc
      in ld parser in multiple files.
    - CVE-2025-1148
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2025-1182.patch: fix illegal memory
      access in bdf/elflink.c.
    - CVE-2025-1182
  * SECURITY UPDATE: Memory leak
    - debian/patches/CVE-2025-3198.patch: fix memory leak
      inbinutils/bucomm.c.
    - CVE-2025-3198
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2025-5244.patch: fix segfault
      in bfd/elflink.c
    - CVE-2025-5244
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2025-5245.patch: fix segfault
      in binutils/debug.c
    - CVE-2025-5245
  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/CVE-2025-7545.patch: check size
      of copy_section in binutils/objcopy.c
    - CVE-2025-7545
  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2025-7546.patch: fix in bfd/elf.c.
    - CVE-2025-7546
  * SECURITY UPDATE: Memory leak
    - debian/patches/CVE-2025-8225.patch: fix in binutils/dwarf.c.
    - CVE-2025-8225

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 21 Oct 2025 13:05:12 -0300

binutils (2.44-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Mar 2025 22:14:13 +0100

binutils (2.44-3) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch.
    - Fix PR ld/32731, ub sanitizer accessing filenames_reversed.
    - Translation updates.
  * Don't configure --enable-warn-rwx-segments not enabled on hppa, sparc
    and sparc64. Closes: #1098970.
  * Fix cross build for gprofng archs (Helmut Grohne). Closes: #1098728.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Mar 2025 22:01:22 +0100

binutils (2.44-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2025 08:04:24 +0100

binutils (2.44-2) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch.
    - gas: fix rs_fill_nop listing.
    - Fix score-elf gas SEGV.
  * Configure with --disable-default-execstack --enable-warn-rwx-segments.
  * Fix PR ld/32715, test failure with --disable-default-execstack. Taken
    from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Feb 2025 07:58:28 +0100

binutils (2.44-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Feb 2025 07:23:10 +0100

binutils (2.44-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependency on binutils-gold.
  * Remove gold chunks from debian patches.
  * Ignore testsuite regression on sh4.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Feb 2025 06:36:41 +0100

binutils (2.43.90.20250202-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch.
  * Update VCS attributes.
  * Drop the binutils-gold dependency and make it a suggestion.
    With the 2.44 release , gold is deprecated, and will be removed in
    future binutils releases. Debian trixie will still ship with
    the separate binutils-gold package.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Feb 2025 13:10:32 +0100

binutils (2.43.90.20250127-1ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 27 Jan 2025 13:32:28 +0100

binutils (2.43.90.20250127-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch..
  * Fix build failure on x32.
  * Fix substitution of @gold_archs@ in targeted cross toolchains (Helmut
    Grohne). Closes: #1093841.
  * Fix PR 32599, taken from the trunk. Closes: #1093895.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Jan 2025 11:12:03 +0100

binutils (2.43.90.20250122-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Jan 2025 03:44:57 +0100

binutils (2.43.90.20250122-2) unstable; urgency=medium

  * Fix binutils-gold dependencies.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Jan 2025 03:37:28 +0100

binutils (2.43.90.20250122-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.44 release branch..
  * Split out gold, as the gold source code removal is planned for the
    final 2.44 release. For now, binutils depends on binutils-gold.
  * Build-depend on binutils-gold where available.
  * Refresh patches.
  * binutils-doc: Make package more reproducible. Closes: #1092870.
  * Move gprofng from binutils-<triplet> into binutils, and introduce a
    binutils-dbg package (Helmut Grohne). Closes: #1093594.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jan 2025 08:47:26 +0100
