## binutils 2.44.50.20250528

=== debian/changelog ===
binutils (2.44.50.20250528-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Ignore regressions on loong64, riscv64, s390x, sh4, x32 and hurd-i386;
    Reported upstream.

 -- Matthias Klose <doko@debian.org>  Wed, 28 May 2025 07:10:39 +0200

binutils (2.44.50.20250520-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Update libgprofng0 symbols file.

 -- Matthias Klose <doko@debian.org>  Tue, 20 May 2025 13:53:19 +0200

binutils (2.44.50.20250502-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Fri, 02 May 2025 12:39:32 +0200

binutils (2.44.50.20250405-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Apr 2025 13:19:36 +0200

binutils (2.44.50.20250309-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Don't configure --enable-warn-rwx-segments not enabled on hppa, sparc
    and sparc64. Addresses: #1098970.
  * Fix cross build for gprofng archs (Helmut Grohne). Addresses: #1098728.

 -- Matthias Klose <doko@debian.org>  Sun, 09 Mar 2025 06:40:30 +0100

binutils (2.44.50.20250218-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Configure with --disable-default-execstack --enable-warn-rwx-segments.
  * Drop build dependency on binutils-gold.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Feb 2025 12:49:40 +0100

binutils (2.44.50.20250207-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Drop the binutils-gold dependency.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Feb 2025 13:07:54 +0100

binutils (2.44.50.20250201-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Feb 2025 16:36:36 +0100
