=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: binutils
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: James Troup <binutils@elmo.tasta.io>
 Standards-Version: 4.7.0
 Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
@@ -30,8 +29,8 @@
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
-Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-2.44
-Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git -b binutils-2.44
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils
+Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
 XS-Testsuite: autopkgtest
 
 Package: binutils-for-host
@@ -283,3 +282,5 @@
 Multi-Arch: foreign
 Priority: optional
 Depends: texinfo, zlib1g-dev, make, python3,
+  libjansson-dev, pkgconf, libzstd-dev,
+Description: GNU assembler, linker and binary utilities (source)
