## binutils 2.44.50.20250707

=== debian/changelog ===
binutils (2.44.50.20250707-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Jul 2025 12:35:30 +0200

binutils (2.44.50.20250707-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Ignore the gprofng/synprog test regression.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Jul 2025 08:33:16 +0200

binutils (2.44.50.20250616-0ubuntu1) questing; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Stop ignoring regressions. rust-coreutils maintainer claims a fix.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Jun 2025 12:36:41 +0200

binutils (2.44.50.20250604-0ubuntu2) questing; urgency=medium

  * Ignore regressions on i386, still no working stty in coreutils-rust.
  * Ignore the gprofng/synprog test regression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Jun 2025 10:25:29 +0200

binutils (2.44.50.20250604-0ubuntu1) questing; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Configure again with --enable-pgo-build=lto.
  * Re-enable running the testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Jun 2025 16:10:29 +0200

binutils (2.44.50.20250602-0ubuntu1) questing; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Jun 2025 22:32:48 +0200

binutils (2.44.50.20250528-1ubuntu1) questing; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 May 2025 07:20:39 +0200

binutils (2.44.50.20250520-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 14:13:50 +0200
