## binutils 2.44.90.20250719

=== debian/changelog ===
binutils (2.44.90.20250719-1) experimental; urgency=medium

  * New upstream snapshot, taken from the 2.45 branch.
  * Bump libsframe soname.
  * Update libsframe symbols file.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2025 11:25:55 +0200
