=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 p_ctf = libctf0
 p_ctfn = libctf-nobfd0
 p_gpng = libgprofng0
-p_sfrm = libsframe1
+p_sfrm = libsframe2
 
 p_hst = $(p_bin)-for-host
 p_bld = $(p_bin)-for-build
