## binutils 2.45

=== debian/changelog ===
binutils (2.45-7ubuntu2) resolute; urgency=medium

  * d/p/env-package-metadata.diff: enforce CLI arg precedence (LP: #2109333)
    The initial implementation would only give precedence if the CLI arg is
    not empty. The new implementation now simply loads the default value
    into the appropriate static variable *before* the argument parsing,
    where the --package-metadata handler will appropriately clear it.

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 13 Oct 2025 16:20:55 +0200

binutils (2.45-7ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Sep 2025 10:34:19 +0200

binutils (2.45-7) unstable; urgency=medium

  * Strip libsframe.a. Closes: #1114662.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Sep 2025 10:27:06 +0200

binutils (2.45-6ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Sep 2025 10:24:29 +0200

binutils (2.45-6) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.45 branch.
    - strip: Don't check target_defaulted in input BFD.
    - PR binutils/33230, strip: Treat "default" output_target as unspecified.
    - PR binutils/33246, strip: Don't treat fat IR objects as plugin object.
  * Disable "non-SP/FP register X in .cfi_def_cfa" warning. Closes: #1112585.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Sep 2025 10:16:56 +0200

binutils (2.45-5) unstable; urgency=medium

  * libsframe-dev: Adjust breaks/replaces relations. Closes: #1111464.
  * Disable ".cfi_escape with op" warning.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Aug 2025 09:03:05 +0200

binutils (2.45-4) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.45 branch.
    - libctf: link: rejig lazy opening to not need weak symbols.
    - libctf: don't run tests requiring deduplicating linker
      unless one is in use.
    - libctf: exclude always-emitted Solaris symbols from the symtypetab.
    - libctf: get libctf-nobfd.ver from the right place with Solaris ld.
    - libctf: do not use mmap on Solaris 11.
  * binutils: Drop dependency on binutils-gold again.
  * Remove explicit GCC 14 build dependency. Closes: #1105026.
  * binutils-dev: Drop the dependency on libsframe-dev.
  * Update VCS attributes.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Aug 2025 19:13:24 +0200

binutils (2.45-3ubuntu3) questing; urgency=medium

  * binutils: Drop dependency on binutils-gold.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Aug 2025 13:59:37 +0200

binutils (2.45-3ubuntu2) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Aug 2025 09:49:40 +0200

binutils (2.45-3) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.45 branch.
    - Fix unused variable warnings.
    - Fix PR gas/33229 nds32 gas segfaults on gcc output.
    - Fix PR binutils/33244, resbin: don't pass NULL as printf %s arg.
    - LoongArch: Fix symbol size after relaxation.
  * Update libgprofng symbols file.
  * Ignore regressions on loong64, m68k, riscv64, s390x, sh4, x32 for now.
  * Split out a libsframe-dev package.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Aug 2025 09:22:44 +0200

binutils (2.45-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 27 Jul 2025 17:46:25 +0200

binutils (2.45-1) experimental; urgency=medium

  * New upstream release.
  * Remove gold related patches.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Jul 2025 17:32:29 +0200

binutils (2.44.90.20250719-1ubuntu1) questing; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Jul 2025 11:31:42 +0200
