=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: binutils
 Section: devel
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: James Troup <binutils@elmo.tasta.io>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
-  g++-14 (>= 14.2.0-12) [armel armhf],
   bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
   python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
   libjansson-dev, pkgconf, libzstd-dev,
@@ -29,8 +29,8 @@
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
-Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils
-Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-2.45
+Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git -b binutils-2.45
 XS-Testsuite: autopkgtest
 
 Package: binutils-for-host
@@ -152,7 +152,21 @@
  .
  This package includes the debug symbols for the libgprofng shared library.
 
-Package: libsframe1
+Package: libsframe-dev
+Architecture: any
+Multi-Arch: same
+Priority: optional
+Section: libdevel
+Depends: libsframe2 (= ${binary:Version}), ${shlibs:Depends}
+Conflicts: binutils (<< 2.45-3~)
+Replaces: binutils (<< 2.45-3~)
+Description: Library to handle the SFrame format (development files)
+ SFrame stands for Simple Frame format.  SFrame format keeps track
+ of the minimal necessary information needed for generating stack traces.
+ .
+ This package includes the libsframe header files and static library.
+
+Package: libsframe2
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}
@@ -162,11 +176,11 @@
  .
  This package includes the libsframe shared library.
 
-Package: libsframe1-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: libsframe1 (= ${binary:Version})
+Package: libsframe2-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Depends: libsframe2 (= ${binary:Version})
 Description: Library to handle the SFrame format (debug symbols)
  SFrame stands for Simple Frame format.  SFrame format keeps track
  of the minimal necessary information needed for generating stack traces.
@@ -195,7 +209,6 @@
 Priority: optional
 Depends: binutils (= ${binary:Version}), libbinutils (= ${binary:Version}),
   libctf0 (= ${binary:Version}), libctf-nobfd0 (= ${binary:Version}),
-  libsframe1 (= ${binary:Version}),
   libgprofng0 (= ${binary:Version}) [amd64 arm64 i386 riscv64 x32],
 Conflicts: libbfd-dev, binutils (<< 2.43.50.20240819)
 Provides: libbfd-dev
@@ -269,18 +282,3 @@
 
 Package: binutils-doc
 Section: doc
-Architecture: all
-Multi-Arch: foreign
-Priority: optional
-Suggests: binutils (= ${binary:Version})
-Description: Documentation for the GNU assembler, linker and binary utilities
- This package consists of the documentation for the GNU assembler,
- linker and binary utilities in info format.
-
-Package: binutils-source
-Architecture: all
-Multi-Arch: foreign
-Priority: optional
-Depends: texinfo, zlib1g-dev, make, python3,
-  libjansson-dev, pkgconf, libzstd-dev,
-Description: GNU assembler, linker and binary utilities (source)
