=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,7 @@
 p_ctfn = libctf-nobfd0
 p_gpng = libgprofng0
 p_sfrm = libsframe2
+p_sfrd = libsframe-dev
 
 p_hst = $(p_bin)-for-host
 p_bld = $(p_bin)-for-build
@@ -91,6 +92,7 @@
 d_ctfn = debian/$(p_ctfn)
 d_gpng = debian/$(p_gpng)
 d_sfrm = debian/$(p_sfrm)
+d_sfrd = debian/$(p_sfrd)
 
 d_hst = debian/$(p_hst)
 d_bld = debian/$(p_bld)
@@ -239,5 +241,3 @@
   for_target           =
 endif
 
-ifneq (,$(TARGET))
-  APPEND_TOOLLIBDIR=yes
