## binutils 2.45.50.20250813

=== debian/changelog ===
binutils (2.45.50.20250813-1) experimental; urgency=medium

  * New upstream snapshot.
  * Bump standards version.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Aug 2025 13:02:06 +0200
