## binutils 2.45.50.20250903

=== debian/changelog ===
binutils (2.45.50.20250903-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2025 12:03:42 +0200
