## binutils 2.45.50.20251005

=== debian/changelog ===
binutils (2.45.50.20251005-1) experimental; urgency=medium

  * New upstream snapshot.
  * Refresh patches.
  * Strip libsframe.a. Addresses: #1114662.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Oct 2025 12:47:20 +0200
