=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: binutils
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: James Troup <binutils@elmo.tasta.io>
 Standards-Version: 4.7.2
 Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
@@ -29,8 +28,8 @@
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
-Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-2.45
-Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git -b binutils-2.45
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils
+Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
 XS-Testsuite: autopkgtest
 
 Package: binutils-for-host
@@ -158,8 +157,8 @@
 Priority: optional
 Section: libdevel
 Depends: libsframe2 (= ${binary:Version}), ${shlibs:Depends}
-Conflicts: binutils (<< 2.45-3~)
-Replaces: binutils (<< 2.45-3~)
+Conflicts: binutils (<< 2.45-1~)
+Replaces: binutils (<< 2.45-1~)
 Description: Library to handle the SFrame format (development files)
  SFrame stands for Simple Frame format.  SFrame format keeps track
  of the minimal necessary information needed for generating stack traces.
@@ -209,6 +208,7 @@
 Priority: optional
 Depends: binutils (= ${binary:Version}), libbinutils (= ${binary:Version}),
   libctf0 (= ${binary:Version}), libctf-nobfd0 (= ${binary:Version}),
+  libsframe-dev (= ${binary:Version}),
   libgprofng0 (= ${binary:Version}) [amd64 arm64 i386 riscv64 x32],
 Conflicts: libbfd-dev, binutils (<< 2.43.50.20240819)
 Provides: libbfd-dev
@@ -282,3 +282,6 @@
 
 Package: binutils-doc
 Section: doc
+Architecture: all
+Multi-Arch: foreign
+Priority: optional
