## binutils 2.45.50.20251023

=== debian/changelog ===
binutils (2.45.50.20251023-2) experimental; urgency=medium

  * Update libsframe symbols file.
  * Fix ftbfs on architectures without gprofng.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Oct 2025 17:58:42 +0200

binutils (2.45.50.20251023-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/p/env-package-metadata.diff: Enforce CLI arg precedence (LP: #2109333)
    The initial implementation would only give precedence if the CLI arg is
    not empty. The new implementation now simply loads the default value
    into the appropriate static variable *before* the argument parsing,
    where the --package-metadata handler will appropriately clear it.
  * binutils-dev: Drop the dependency on libsframe-dev.
  * Split out a libgprofng-dev package.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Oct 2025 00:46:05 +0200
