=== debian/control ===
--- 
+++ 
@@ -64,7 +64,8 @@
 Conflicts: modutils (<< 2.4.19-1), ${extraConflicts},
   binutils-multiarch (<< 2.27-8)
 Provides: elf-binutils, ${gold:Provides}
-Suggests: binutils-doc (>= ${source:Version}), gprofng-gui, ${gold:Suggests},
+Suggests: binutils-doc (>= ${source:Version}),
+  gprofng-gui [amd64 i386 arm64 x32 riscv64], ${gold:Suggests},
 Breaks:
  binutils-aarch64-linux-gnu (<< 2.43.90),
  binutils-i686-linux-gnu (<< 2.43.90),
@@ -84,7 +85,7 @@
 Package: binutils-dbg
 Section: debug
 Priority: optional
-Architecture: amd64 i386 arm64 x32 riscv64
+Architecture: any
 Depends: binutils (= ${binary:Version}), ${binutils:native}-dbg (= ${binary:Version})
 Description: GNU assembler, linker and binary utilities(debug symbols)
  This package provides debug symbols for binutils.
@@ -125,8 +126,22 @@
  This package includes the libctf shared library.  The Compact C Type
  Format (CTF) is a way of representing information about a binary program
 
+Package: libgprofng-dev
+Architecture: amd64 i386 arm64 x32 riscv64
+Multi-Arch: same
+Priority: optional
+Section: libdevel
+Depends: binutils-dev (= ${binary:Version}), libgprofng0 (= ${binary:Version}), ${shlibs:Depends}
+Conflicts: binutils (<< 2.45.50.20251023-1~)
+Replaces: binutils (<< 2.45.50.20251023-1~)
+Description: Library to handle the SFrame format (development files)
+ Gprofng is the GNU Next Generation profiler for analyzing the performance
+ of Linux applications.
+ .
+ This package includes the libsframe header files and static library.
+
 Package: libgprofng0
-Architecture: any
+Architecture: amd64 i386 arm64 x32 riscv64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, libbinutils (= ${binary:Version})
 Description: GNU Next Generation profiler (runtime library)
@@ -142,7 +157,7 @@
 
 Package: libgprofng0-dbg
 Section: debug
-Architecture: any
+Architecture: amd64 i386 arm64 x32 riscv64
 Multi-Arch: same
 Depends: libgprofng0 (= ${binary:Version})
 Description: GNU Next Generation profiler (debug symbols)
@@ -208,8 +223,6 @@
 Priority: optional
 Depends: binutils (= ${binary:Version}), libbinutils (= ${binary:Version}),
   libctf0 (= ${binary:Version}), libctf-nobfd0 (= ${binary:Version}),
-  libsframe-dev (= ${binary:Version}),
-  libgprofng0 (= ${binary:Version}) [amd64 arm64 i386 riscv64 x32],
 Conflicts: libbfd-dev, binutils (<< 2.43.50.20240819)
 Provides: libbfd-dev
 Replaces: libbfd-dev, libc5-dev, binutils (<< 2.43.50.20240819)
@@ -269,19 +282,3 @@
 Description: GNU assembler, linker and binary utilities targeted for hppa64-linux
  The programs in this package are used to assemble, link and manipulate
  binary and object files.  They may be used in conjunction with a compiler
- and various libraries to build programs.
- .
- This package is needed to build an 64-bit kernel for 64-bit hppa machines.
-
-Package: binutils-hppa64-linux-gnu-dbg
-Section: debug
-Architecture: amd64 i386 x32 hppa
-Depends: binutils-hppa64-linux-gnu (= ${binary:Version})
-Description: GNU binutils targeted for hppa64-linux (debug symbols)
- This package provides debug symbols for binutils-hppa64-linux-gnu.
-
-Package: binutils-doc
-Section: doc
-Architecture: all
-Multi-Arch: foreign
-Priority: optional
