=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,7 @@
 p_ctf = libctf0
 p_ctfn = libctf-nobfd0
 p_gpng = libgprofng0
+p_gpnd = libgprofng-dev
 p_sfrm = libsframe2
 p_sfrd = libsframe-dev
 
@@ -91,6 +92,7 @@
 d_ctf = debian/$(p_ctf)
 d_ctfn = debian/$(p_ctfn)
 d_gpng = debian/$(p_gpng)
+d_gpnd = debian/$(p_gpnd)
 d_sfrm = debian/$(p_sfrm)
 d_sfrd = debian/$(p_sfrd)
 
@@ -236,8 +238,3 @@
                           $(TARGET))
   DEB_TARGET_GNU_TYPE  = $(call _gnu_type,$(DEB_TARGET_ARCH))
   DEB_TARGET_MULTIARCH = $(call _multiarch,$(DEB_TARGET_ARCH))
-  for_target           = $(call run_dpkg_arch,$(DEB_TARGET_ARCH))
-else
-  for_target           =
-endif
-
