## binutils 2.45.50.20251122

=== debian/changelog ===
binutils (2.45.50.20251122-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Nov 2025 19:09:32 +0100
